import { AfterContentInit, ChangeDetectorRef, ComponentFactoryResolver, ElementRef, OnDestroy, Renderer2, ViewContainerRef } from '@angular/core';
import { ValidationErrorsConfig } from './error-validation-config';
import { AbstractControl } from '@angular/forms';
import { Observable } from 'rxjs';
export declare abstract class FormValidationContainer implements AfterContentInit, OnDestroy {
    private elRef;
    private renderer;
    private messageProvider;
    private cdRef;
    private componentFactoryResolver;
    private validationErrorsConfig;
    customErrorMessages: {};
    messageParams: {};
    validationDisabled: boolean;
    innerValidationError: boolean;
    errorsContainer: ViewContainerRef;
    messages: string[];
    private validationContext;
    private componentRef;
    hasErrors: boolean;
    hasSuccess: boolean;
    private subscription;
    constructor(elRef: ElementRef, renderer: Renderer2, messageProvider: {
        instant(key: string): string;
    }, cdRef: ChangeDetectorRef, componentFactoryResolver: ComponentFactoryResolver, validationErrorsConfig: ValidationErrorsConfig);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    addErrorComponent(): void;
    updateErrorComponent(): void;
    checkErrors(): void;
    checkSuccess(): void;
    setValidationContext(context: string): void;
    setInnerValidation(innerValidation: boolean): void;
    abstract get formControl(): AbstractControl;
    abstract get statusChanges(): Observable<any>;
    abstract get formControlName(): string | number;
    abstract get el(): ElementRef;
    clear(): void;
}
